Name:           perl-Future
Version:        0.18
Release:        1%{?dist}
Summary:        Perl object system to represent an operation awaiting completion
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Future/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Future-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Identity)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Refcount)
BuildRequires:  perl(Test::Warn)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
A Future object represents an operation that is currently in progress, or
has recently completed. It can be used in a variety of ways to manage the
flow of control, and data, through an asynchronous program.

%prep
%setup -q -n Future-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes examples LICENSE META.json README
%{perl_vendorlib}/Future*
%{_mandir}/man3/*

%changelog
* Fri Sep 27 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.18-1
- Update to 0.18 (#1012402)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 07 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.15-1
- Update to 0.15

* Sun Jun 23 2013 Emmanuel Seyman <emmanuel@seyman.fr> - 0.14-1
- Update to 0.14

* Fri Jun 14 2013 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.13-2
- Add perl(Test::Pod) as a BR, per review (#974559)

* Fri Jun 14 2013 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.13-1
- Specfile autogenerated by cpanspec 1.78.
